Comment 12 for bug 456523

Package: emacsen-common
Version: 1.4.15
Followup-For: Bug #153860

This bug has been biting for looks like a couple of years. I think it's
high time to stomp it, yes? It hasn't gone away -- because the postinst
script at: /var/lib/dpkg/info/emacsen-common.postinst doesn't appear to
have been fixed, AFAIK.

There are at least TWO places it actually fails -- and not gracefully.
Right at the top:

 ##!/bin/sh
 #
 #set -e
 #
 #if [ "$1" = "configure" ]
 #then
 # if [ -d /usr/doc \
 # -a ! -e /usr/doc/emacsen-common \
 # -a -d /usr/share/doc/emacsen-common ]
 # then
 # ln -sf ../share/doc/emacsen-common /usr/doc/emacsen-common
 # fi
 #fi

If I'm not mistaken, this code fails because:
 # ln -sf ../share/doc/emacsen-common /usr/doc/emacsen-common
fails -- since the operation is not carried-out inside /usr/doc.
And it, of course, causes all depending package installs to fail too.
(This bug is just "important", right? Not 'grave'..?)

I fixed it by running:
 # ln -sf ../share/doc/emacsen-common /usr/doc/emacsen-common
myself.

The script also bails out (for me, anyway) at your favorite spot:

 #if [ ! -e /var/lib/emacsen-common/installed-flavors ]
 #then
 # # Be super-careful.
 # echo -n "" > /var/lib/emacsen-common/installed-flavors
 # chmod 644 /var/lib/emacsen-common/installed-flavors
 # echo -n "" > /var/lib/emacsen-common/installed-flavors
 #fi

I note that /var/lib/emacsen-common/ itself didn't exist on my
system -- and that is enough for the script to fail AFAIC see.
This problem went away(?) after I just created /var/lib/emacsen-common/
and THEN touched /var/lib/emacsen-common/installed-flavors.

All in all I'd say that having this buggy script hanging around for
2+(?) years causing problems is reason to be asking a few questions
beyond the technical.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (998, 'testing'), (99, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.20
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages emacsen-common depends on:
ii bsdmainutils 6.0.15 collection of more utilities from

-- no debconf information